Package org.eclipse.emf.cdo.transaction

## Interface CDOTransactionOpener

- All Known Subinterfaces:
    `CDONet4jSession`, `CDORepository`, `CDOSession`, `CDOSession`, `CDOTransactionContainer`, `InternalCDOSession`
  All Known Implementing Classes:
    `CDOCompareEditorUtil.TransactionOpenerAndEditorCloser`

      public interface CDOTransactionOpener

  Can open new `transactions`.
  Since:
    4.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOTransaction` | `openTransaction​(java.lang.String durableLockingID, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)` | Opens and returns a `transaction` on the given EMF `resource set` by resuming a transaction that has previously been made durable by calling `CDOTransaction.enableDurableLocking(true)`.
    `CDOTransaction` | `openTransaction​(CDOBranchPoint target, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)` | Opens and returns a new `transaction` on the given EMF `resource set`.

- - ### Method Detail

    - #### openTransaction

          CDOTransaction openTransaction​(CDOBranchPoint target,
                                         org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

      Opens and returns a new `transaction` on the given EMF `resource set`.

    - #### openTransaction

          CDOTransaction openTransaction​(java.lang.String durableLockingID,
                                         org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

      Opens and returns a `transaction` on the given EMF `resource set` by resuming a transaction that has previously been made durable by calling `CDOTransaction.enableDurableLocking(true)`.